<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">D3D9HLSLProgram</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::D3D9HLSLProgram Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#afcb4a61b965600a67ca2c2f060821db9">_dirtyState</a>()</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a893c7a150edb48a25e5df700cfc194eb">_fireLoadingComplete</a>(bool wasBackgroundLoaded)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a77d5f72e02500f6db6f460bb48eac721">_firePreparingComplete</a>(bool wasBackgroundLoaded)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a4b5d014a4d078b7893cce480b264c493">_fireUnloadingComplete</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HighLevelGpuProgram.html#a3738e5bfb9a287279bbbbfa0271bc05c">_getBindingDelegate</a>(void)</td><td><a class="el" href="classOgre_1_1HighLevelGpuProgram.html">Ogre::HighLevelGpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a3d111616339484f39c9456eeec6fd843">_notifyOrigin</a>(const String &amp;origin)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a5513ffce404b14cff72846318b018d32">addListener</a>(Listener *lis)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#affa04b71265f523c59e3c417192b52e7">addMicrocodeToCache</a>()</td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#a0eb7506ba47485cb311fde54ec62b649">buildConstantDefinitions</a>() const </td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a97ca6090cd137c5c46349174d874bc90">calculateSize</a>(void) const </td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#aa5d6f3f7e73b77b233fc62b11f270e4d">changeGroupOwnership</a>(const String &amp;newGroup)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a1bea65fa2b3c2ac5a9f3be59b46a80e8">cleanupDictionary</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#a9018e62f46d4d0965d8a1c499d72f024">compileMicrocode</a>(void)</td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a702af78cbc4869e64c369fb11c4f1eb5">copyParametersTo</a>(StringInterface *dest) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a588c6c72d4602ad4eca02217abf78697">createLogicalParameterMappingStructures</a>(bool recreateIfExists=true) const </td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#ae8f4490f42967def96e3768f84e3e0c1">createLowLevelImpl</a>(void)</td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a32034e488666ebfc0ac5226a60e4d309">createNamedParameterMappingStructures</a>(bool recreateIfExists=true) const </td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a681773443d95aea05a486c5d22c15bd1">createParamDictionary</a>(const String &amp;className)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a4571d480fcea3a8f4cbac3b15bf5d36f">createParameterMappingStructures</a>(bool recreateIfExists=true) const </td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#afb3b402c2bd87241680ed955eb924d1b">createParameters</a>(void)</td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#acb1a23486e7131040b5949b4fac61ae2">D3D9HLSLProgram</a>(ResourceManager *creator, const String &amp;name, ResourceHandle handle, const String &amp;group, bool isManual, ManualResourceLoader *loader)</td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a367f6fe60bb211cb4c32e3825ca67e4c">escalateLoading</a>()</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#ab5c3e80f6170a24fceb3890bbf6bb7d1">getColumnMajorMatrices</a>(void) const </td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HighLevelGpuProgram.html#a4f70ca415d8650fe1ac7d937ceba4c03">getConstantDefinitions</a>() const </td><td><a class="el" href="classOgre_1_1HighLevelGpuProgram.html">Ogre::HighLevelGpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a741224f735dfd9ce324a4e8e621d868c">getCreator</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a04675a861df66c30e431f95aa84320f5">getDefaultParameters</a>(void)</td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#ade3799dac94b4d001fee3fc707b03c27">getEntryPoint</a>(void) const </td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#ae712b3ff458ccbf8e1ff1e33d695bf60">getGroup</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#ae3be647e47679266df79b565ffbe1de7">getHandle</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#a849ce62f1b457bb8ed79200fb4414f72">getLanguage</a>(void) const </td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a76029b0c460f49dc544015d69befe091">getLoadingState</a>() const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a4aa13199b95d110b9a0d907bd1455683">getManualNamedConstantsFile</a>() const </td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#a7815f6ae5b286f4706d646033fb0fc5e">getMicroCode</a>()</td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#aae97183f229f8ea4069abe4a533df971">getMicrocodeFromCache</a>(void)</td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a77fac58a5756d746b2452933f615c25d">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HighLevelGpuProgram.html#ad2fa680be2838aab998079e0bcdeba89">getNamedConstants</a>() const </td><td><a class="el" href="classOgre_1_1HighLevelGpuProgram.html">Ogre::HighLevelGpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#ab3eef54ad776352d6fcf547c77b4a0bc">getNumberOfPosesIncluded</a>(void) const </td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#afee67d97776a6e91acba1219b7ac87ed">getOptimisationLevel</a>() const </td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a8e4b0066ed588a49cdf474e9870bfcb4">getOrigin</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#ae3e13925bde11db245f6c9bbf5031a93">getParamDictionary</a>(void)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a3bfa7791753a155b222dfb2706e5218c">getParamDictionary</a>(void) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a57397ce47f649e66c5654da05207df0b">getParameter</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#adfedfcc90e1d602ec6fa646d4d90f17f">getParameters</a>(void) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#ad467d6cf55fe3d604db8f48715deb722">getPassFogStates</a>(void) const </td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a13e91fd91fef3ddaa73300eabbc3dba0">getPassSurfaceAndLightStates</a>(void) const </td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a47a8eeb180ac001c47f3099d31069f92">getPassTransformStates</a>(void) const </td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#ac60ecd34d8b698b60c0b3cb6352d5c8d">getPreprocessorDefines</a>(void) const </td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#aa8e96b7bb387708db2161f7f982407c6">getSize</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a650621cd162bf75a837951f94d1118bb">getSource</a>(void) const </td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a29ef6651dad0349169763940dd40fb8e">getSourceFile</a>(void) const </td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a9fef5e371f8e94141624a151ac12e695">getStateCount</a>() const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a18a12ae49469bcc9bae9b5fde9a0a461">getSyntaxCode</a>(void) const </td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#af18df73a5251742e72e7f6463ba86568">getTarget</a>(void) const </td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#ac05c53ca118b1ac81fab5981c119bcc0">getType</a>(void) const </td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#ab996969f5b3854e2f5ce9062f6d92944">GpuProgram</a>(ResourceManager *creator, const String &amp;name, ResourceHandle handle, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0)</td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a90e62ce72ddc9eb0fc7573d0cb52ac0e">hasCompileError</a>(void) const </td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a0d7d2f959ac2ae463db180043990a0cc">hasDefaultParameters</a>(void) const </td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HighLevelGpuProgram.html#aaa5336d6ba63ee1c1b0be75ab4f85463">HighLevelGpuProgram</a>(ResourceManager *creator, const String &amp;name, ResourceHandle handle, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0)</td><td><a class="el" href="classOgre_1_1HighLevelGpuProgram.html">Ogre::HighLevelGpuProgram</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#ac3d9456e0be1449b03a196f7a56f9af5">isAdjacencyInfoRequired</a>(void) const </td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#ae20969c8754d9c939b4d88b4a9eefd08">isBackgroundLoaded</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a10bba19766b989cbe5a953c78d3e6bb4">isLoaded</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a23136f099efe86c1134dca0a959ba626">isLoading</a>() const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#afa5615006905ffb68d6e52449306565f">isManuallyLoaded</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#ac99c378926faac21f6acd6c856fbd04d">isMorphAnimationIncluded</a>(void) const </td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#ae3aa42c5d796c9520880ad7d10dace77">isPoseAnimationIncluded</a>(void) const </td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#aab3672d493ff4ef995520daf6f5067f0">isPrepared</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#aadcc4a98a8450506e6b55800db72d414">isReloadable</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a8ecf6a34097d0bfbfabd125bdb09f68d">isRequiredCapabilitiesSupported</a>(void) const </td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a84c8bf8460ad30a58d78b5f8fd11e31f">isSkeletalAnimationIncluded</a>(void) const </td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#a40708e07ece5448fbb0633973e4f4a42">isSupported</a>(void) const </td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a37a22b8b6432ed18f2e70bb99f7df7fc">isVertexTextureFetchRequired</a>(void) const </td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a7395c6b8451100dd30e688595b5ff2c6">ListenerList</a> typedef</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a699d1c851f494a8d5d23d23b695ceb47">load</a>(bool backgroundThread=false)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#a400baeabb7821056086de51e00733071">loadFromSource</a>(void)</td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HighLevelGpuProgram.html#a6d028cd8ef8401dadb154d2414f4f585">loadHighLevel</a>(void)</td><td><a class="el" href="classOgre_1_1HighLevelGpuProgram.html">Ogre::HighLevelGpuProgram</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HighLevelGpuProgram.html#afb222f693096d937ec5ccf5258313a5f">loadHighLevelImpl</a>(void)</td><td><a class="el" href="classOgre_1_1HighLevelGpuProgram.html">Ogre::HighLevelGpuProgram</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HighLevelGpuProgram.html#a2801ef0d382104bf4eeaa84c2002fc96">loadImpl</a>()</td><td><a class="el" href="classOgre_1_1HighLevelGpuProgram.html">Ogre::HighLevelGpuProgram</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a07e619aa09d3bc6789a6667cb4fc572c">LoadingState</a> enum name</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a07e619aa09d3bc6789a6667cb4fc572caa38cbef7605fc4bff6da2f34599ace8f">LOADSTATE_LOADED</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a07e619aa09d3bc6789a6667cb4fc572caf138fc9087e0dc755bff08a83720cbb5">LOADSTATE_LOADING</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a07e619aa09d3bc6789a6667cb4fc572ca133a073b86c346096237063f99870fc1">LOADSTATE_PREPARED</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a07e619aa09d3bc6789a6667cb4fc572cab43c913411f4a96722902f17b88f10fb">LOADSTATE_PREPARING</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a07e619aa09d3bc6789a6667cb4fc572ca28d463296cacdfc115dbc3fb02d00e94">LOADSTATE_UNLOADED</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a07e619aa09d3bc6789a6667cb4fc572ca4228d390b3a9ed614001db177d1f441e">LOADSTATE_UNLOADING</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HighLevelGpuProgram.html#a6750d4ca21e40df5b389b0da1eb97ad2">mAssemblerProgram</a></td><td><a class="el" href="classOgre_1_1HighLevelGpuProgram.html">Ogre::HighLevelGpuProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#a85b094b610977147bc906ecdb4c64f52">mColumnMajorMatrices</a></td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#ab2bb4597b7fb640dee90589b8fbbc4f2">mCompileError</a></td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a420723e4b5097225ce2aaf4e0a3a344c">mConstantDefs</a></td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HighLevelGpuProgram.html#a19740a9a6c90ef1f945cf9505d5b8bd3">mConstantDefsBuilt</a></td><td><a class="el" href="classOgre_1_1HighLevelGpuProgram.html">Ogre::HighLevelGpuProgram</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a79c8dbcaa3f5359186352418383e1046">mCreator</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#ab103ebff6dfda04861947cbf1a941596">mDefaultParams</a></td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#a578eb153325f5a4ab3a6b2da9ca2f08f">mEntryPoint</a></td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a8734503d5521ae7adaceba487b88fe55">mFilename</a></td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#aa729a7bcc7c5a622fffe5869d69c05bc">mFloatLogicalToPhysical</a></td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a416b0fb05b6c9f03e11d0d8c4e2cbeea">mGroup</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a269fd910e51c66290e0ffe5c2ac134d3">mHandle</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HighLevelGpuProgram.html#aef2805cb089810b6149fcf1ae7491618">mHighLevelLoaded</a></td><td><a class="el" href="classOgre_1_1HighLevelGpuProgram.html">Ogre::HighLevelGpuProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a943cefa6be84842ec1c0f2029e3805ba">mIntLogicalToPhysical</a></td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a6b9f18275f5f5a4dc3b83f23027a5d78">mIsBackgroundLoaded</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a14dce433a68055e7683aa872c197d1d8">mIsManual</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a94e78b7ae5be758c317ae1e8c4e14f1b">mListenerList</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a23f3bb5243cd65bc7b5e625bdbd88c70">mLoadedManualNamedConstants</a></td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a11c91bed31936b5dec39e30d77498470">mLoader</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a606d51d653a0dda9d61508851441dc8a">mLoadFromFile</a></td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a9c01143012af1b51e648f40e0038476a">mLoadingState</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a1e62196161a4ca6704d02f0b75d2f370">mManualNamedConstantsFile</a></td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#a44c0aea28c4bc77ea2ce31e24f738626">mMicroCode</a></td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a8a0271c814c3ffd4ae079ae1e4b11404">mMorphAnimation</a></td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a18a3db85a240eda9dfe741a46f2c01c9">mName</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a5e20e45a9ca8fe4c99a04c34ef3d7275">mNeedsAdjacencyInfo</a></td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#a4ed7320d7112ea762976024176d8d77f">mOptimisationLevel</a></td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a342fcd2c8c95309e12dea3c699f91c15">mOrigin</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#a9f1b828e43b8396fc87304f7a7d1e09a">mParametersMap</a></td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#abda6264b3a8b39d2182672eabcb49ec5">mParametersMapSizeAsBuffer</a></td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a398053069a0c61809193079501b0abb5">mPoseAnimation</a></td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#a722bffbbacbb4b1efaaf63b1eae60c64">mPreprocessorDefines</a></td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#ae55ec6363600c10db68ff17b35437889">msAdjacencyCmd</a></td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#a21e39472ff595a86695f65deba5faa81">msCmdAssemblerCode</a></td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#a18e028bea73d050ee5264fd5ad6eb64f">msCmdColumnMajorMatrices</a></td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#af5124e67981936f8129a6ecd5dfaabe7">msCmdEntryPoint</a></td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#ab8b87c2b8f16d7116d72c3ec7c226000">msCmdMicrocode</a></td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#a99b779ee5e6644f3c4fc7181c3c466a5">msCmdOptimisation</a></td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#a4ce345e1c0d670f337c7bfb0ab6553a2">msCmdPreprocessorDefines</a></td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#acf4b2909ea39222c72127e7aba82c9ab">msCmdTarget</a></td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#afdef34c49ee7a3b256672e3e4b183142">mSize</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a96cb132e0bac4820e9917ebc9151fe69">mSkeletalAnimation</a></td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#aed57c301ea07b1c183f1c351707396d5">msManNamedConstsFileCmd</a></td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a828a927b860e3c074704399336f95160">msMorphCmd</a></td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a80f6f65a2ec5a02a4c56458bd2b35b18">mSource</a></td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a015fc5be549ef103862dcd152fcf0f3a">msPoseCmd</a></td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#ac3d70ea16cb2beb8aa201db048cc35e9">msSkeletalCmd</a></td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#afb9dd8af84fcf198db56aeab298990dd">msSyntaxCmd</a></td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a3935b76c9f120dab0419734d990eccaa">mStateCount</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a429e2ecd6f4167c00d0d7f0b68893276">msTypeCmd</a></td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#abe51b99e867a315e2b2ebcc89e601277">msVTFCmd</a></td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a1244023352bf866592f904bd3dfa404f">mSyntaxCode</a></td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#a28c5338af5c42d7fc6dd6fb45fca2cf5">mTarget</a></td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#ab201a6fcb1c568967d01f22906ecdff1">mType</a></td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a7012d5855d4f70388bbee4940466a606">mVertexTextureFetch</a></td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#a549748dee587b870ec40786d64888117a7b60cc8e10a234b14b4adbcdcbf917c1">OPT_0</a> enum value</td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#a549748dee587b870ec40786d64888117a3549efac010294085db5a02512e8c59f">OPT_1</a> enum value</td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#a549748dee587b870ec40786d64888117aa6f8763da088618fde07dbffbe110526">OPT_2</a> enum value</td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#a549748dee587b870ec40786d64888117ae735171937c5d069b6ca58281ff3ada1">OPT_3</a> enum value</td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#a549748dee587b870ec40786d64888117a803f232baf679f286679b8ece0ba2ece">OPT_DEFAULT</a> enum value</td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#a549748dee587b870ec40786d64888117a74ff7fb598593fcdabdbf80569d8a252">OPT_NONE</a> enum value</td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#a549748dee587b870ec40786d64888117">OptimisationLevel</a> enum name</td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#ade24163deec8a836d410df5be9ced734">populateDef</a>(D3DXCONSTANT_DESC &amp;d3dDesc, GpuConstantDefinition &amp;def) const </td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HighLevelGpuProgram.html#a92b23d1bcc559edfcc729cc2d1351b95">populateParameterNames</a>(GpuProgramParametersSharedPtr params)</td><td><a class="el" href="classOgre_1_1HighLevelGpuProgram.html">Ogre::HighLevelGpuProgram</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a0ac4960f2e4969be70ded84e35c7728d">postLoadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#ab0e94a1f17f20b3e3c6f3cf4a5aa8096">postUnloadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#ac21645684d207f29513228e061dec765">preLoadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a350b287fa3e83a389221274f68760008">prepare</a>(bool backgroundThread=false)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a5e8f978cbb908c67a98d16556c8cd0ef">prepareImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a318dc51074007c20d68db9b40c70da08">preUnloadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#a45bf37522f852d2442cef9c6cd2d5df0">processParamElement</a>(LPD3DXCONSTANTTABLE pConstTable, D3DXHANDLE parent, String prefix, unsigned int index)</td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#ab7a0b8de3a7e4d20fcfd84da41ac450e">reload</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a3c49142f739ba8fb56d6e7b3db235fb7">removeListener</a>(Listener *lis)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a2443ed18b880eb939123bb8daf9165c7">resetCompileError</a>(void)</td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#af16d869fa1c3671447a1e22ae6228242">Resource</a>()</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a03c52d5285092f0a5d21ad83a0643814">Resource</a>(ResourceManager *creator, const String &amp;name, ResourceHandle handle, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a39b43157d6b40626101e5de8f9c77bf5">setAdjacencyInfoRequired</a>(bool r)</td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#ae0a0007de944eb3c2f933a372a752b35">setBackgroundLoaded</a>(bool bl)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#a8dc14aed0a6b5fa3c10da5bc03ea5dc1">setColumnMajorMatrices</a>(bool columnMajor)</td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#ab5ac0fb0522810c2c32a0d7cd157b4ac">setEntryPoint</a>(const String &amp;entryPoint)</td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#ad12bddb95c7311f31f602cb70b8350c5">setManualNamedConstants</a>(const GpuNamedConstants &amp;namedConstants)</td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#afdadf659ccac4facdc86e55a266eebcf">setManualNamedConstantsFile</a>(const String &amp;paramDefFile)</td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a843c706f65d219c1d04b8aeacc4bd3c8">setMorphAnimationIncluded</a>(bool included)</td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#ab7056809b6c2215b4a5feb5eaed4b5cd">setOptimisationLevel</a>(OptimisationLevel opt)</td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#ace884b65b722ead9b920b9abf27bf815">setParameter</a>(const String &amp;name, const String &amp;value)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#ae356913ccefbebc4f0119a0599a406fc">setParameterList</a>(const NameValuePairList &amp;paramList)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a848bf4164963cf8c0435c972eb717e0f">setPoseAnimationIncluded</a>(ushort poseCount)</td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#a804ceed2fd7fe40592b1c2f43c4ec83c">setPreprocessorDefines</a>(const String &amp;defines)</td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#af337509a5342cb707df4df78337756ae">setSkeletalAnimationIncluded</a>(bool included)</td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a300833abd29aa42acb5e6c48ae7c40ea">setSource</a>(const String &amp;source)</td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a4474d0c010f63f586423ccfb325ff4a2">setSourceFile</a>(const String &amp;filename)</td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a48901c745f712840d8ff24cd04e50678">setSyntaxCode</a>(const String &amp;syntax)</td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#a276ebb43557d56dd63083e139b9ae697">setTarget</a>(const String &amp;target)</td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a9792acbeda4a5806ae1ec5c7d4da60b7">setType</a>(GpuProgramType t)</td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#af9e1d27b4c05333c92cfe3340a26dc6b">setupBaseParamDictionary</a>(void)</td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#a463bffd1f68fc8ae3c29d64402e9ca8d">setVertexTextureFetchRequired</a>(bool r)</td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#ad57e8c6f0793dde7d1b479361e55e419">StringInterface</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#ae229b1f58092109adef55bfc6f864d79">touch</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#aa31bef1bfaa87731622e56f11b548e27">unload</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HighLevelGpuProgram.html#a409afd088a47593ffbe6a32b8283d7cf">unloadHighLevel</a>(void)</td><td><a class="el" href="classOgre_1_1HighLevelGpuProgram.html">Ogre::HighLevelGpuProgram</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#a957b97cf732edac0a0e2b907650ef459">unloadHighLevelImpl</a>(void)</td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HighLevelGpuProgram.html#afb08c21e25a0799bb5877d07e8ee6cf8">unloadImpl</a>()</td><td><a class="el" href="classOgre_1_1HighLevelGpuProgram.html">Ogre::HighLevelGpuProgram</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#aa550fde0145a3a0ae0329beaf03f23e1">unprepareImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html#ad193a606182895b595a6f274b8b1d6d2">~D3D9HLSLProgram</a>()</td><td><a class="el" href="classOgre_1_1D3D9HLSLProgram.html">Ogre::D3D9HLSLProgram</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgram.html#afbf0077b4bc78085db991f5e0de81c34">~GpuProgram</a>()</td><td><a class="el" href="classOgre_1_1GpuProgram.html">Ogre::GpuProgram</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HighLevelGpuProgram.html#a1cc003d65247f4f36c7ec2997a5c187e">~HighLevelGpuProgram</a>()</td><td><a class="el" href="classOgre_1_1HighLevelGpuProgram.html">Ogre::HighLevelGpuProgram</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a089562812828920fe1d1a371acf393e7">~Resource</a>()</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#aa86a8941e57b203088797a4b28da8c4d">~StringInterface</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:16
</p>
</body>
</html>
